diff -Nuar a/Lib/distutils/sysconfig.py b/Lib/distutils/sysconfig.py
--- a/Lib/distutils/sysconfig.py	2022-06-06 19:53:30.000000000 +0800
+++ b/Lib/distutils/sysconfig.py	2022-06-13 18:29:26.444347907 +0800
@@ -333,7 +333,7 @@
             libdir = sys.platlibdir
         else:
             # Pure Python
-            libdir = "lib"
+            libdir = "lib64"
         libpython = os.path.join(prefix, libdir,
                                  "python" + get_python_version())
         if standard_lib:
diff -Nuar a/Lib/sysconfig.py b/Lib/sysconfig.py
--- a/Lib/sysconfig.py	2022-06-06 19:53:30.000000000 +0800
+++ b/Lib/sysconfig.py	2022-06-13 18:24:28.710075537 +0800
@@ -27,7 +27,7 @@
     'posix_prefix': {
         'stdlib': '{installed_base}/{platlibdir}/python{py_version_short}',
         'platstdlib': '{platbase}/{platlibdir}/python{py_version_short}',
-        'purelib': '{base}/lib/python{py_version_short}/site-packages',
+        'purelib': '{base}/lib64/python{py_version_short}/site-packages',
         'platlib': '{platbase}/{platlibdir}/python{py_version_short}/site-packages',
         'include':
             '{installed_base}/include/python{py_version_short}{abiflags}',
@@ -38,9 +38,9 @@
         },
     'posix_home': {
         'stdlib': '{installed_base}/lib/python',
-        'platstdlib': '{base}/lib/python',
-        'purelib': '{base}/lib/python',
-        'platlib': '{base}/lib/python',
+        'platstdlib': '{base}/lib64/python',
+        'purelib': '{base}/lib64/python',
+        'platlib': '{base}/lib64/python',
         'include': '{installed_base}/include/python',
         'platinclude': '{installed_base}/include/python',
         'scripts': '{base}/bin',
diff -Nuar a/setup.py b/setup.py
--- a/setup.py	2022-06-06 19:53:30.000000000 +0800
+++ b/setup.py	2022-06-13 18:25:40.582903162 +0800
@@ -827,7 +827,7 @@
         # directories (i.e. '.' and 'Include') must be first.  See issue
         # 10520.
         if not CROSS_COMPILING:
-            add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+            add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib64')
             add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
         # only change this for cross builds for 3.3, issues on Mageia
         if CROSS_COMPILING:
